> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Form field types



## OpenAPI

````yaml get /admin/form/field/{id}/{type}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/form/field/{id}/{type}:
    get:
      tags:
        - Program Forms
      summary: Form field types
      operationId: 277170ec855b720ee9b9b81e7d79d03d
      parameters:
        - name: id
          in: path
          description: The id of the form
          required: true
          schema:
            type: integer
        - name: type
          in: path
          description: The type of the form field
          required: true
          schema:
            type: string
            example: entity
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  hysform:
                    type: object
                  type:
                    type: string
                  type_name:
                    type: string
                  field_types:
                    type: object
                  gateway:
                    type: boolean
                type: object
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````